from random import choice

## Title of the blog
## Used for default first navbar entry to "/" root.
## 
title = "mjestečko"

## Final hosting address, used in RSS feed absolute links as well as previews.
##
address = "https://mjestecko.neocities.org"

## Shows on top of every page providing navigation.
## Every entry forms a <li><a> child element of <nav>,
## where each dictionary pair forms an attached xml property.
## 
navbar = [
    ("source", { "href": "https://git.poto.cafe/veclavtalica/mjestecko" }),
    ("rss", { "href": "/feed.xml" }),
    ("about", { "href": "/articles/mjestečko.html" }),
    ("tracks", { "href":  "https://modarchive.org/index.php?request=view_artist_modules&query=96070" }),
    ("mastodon", { "href":  "https://poto.cafe/@veclavtalica", "rel": "me" }),
]

## Optional description that will be shown on top of the main page.
## Could be plain text or callable with no parameters.
## 
description = lambda: f"Personal blog of one {choice(adjectives)} Veclav Talica."
adjectives = ["*wild*", "**wacky**", "very humble", "**most serious**"]

## Optional link to logo image that will appear on top of the main page.
##
logo = "/logo.png"

## Language specifier, used in RSS feed.
##
language = "en"
